Audit Logs
Query audit logs
Retrieves audit logs with optional filtering and pagination.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
query Parameters
limitMaximum number of results to return (1-100)
offsetNumber of results to skip for pagination
actionFilter by specific action (e.g., 'account.create')
startDateFilter events after this date (ISO 8601 format)
endDateFilter events before this date (ISO 8601 format)
actorFilter by actor email address or subject identifier
successFilter by success status (true for successful, false for failed)
Query audit logs › Responses
The request has succeeded.
Array of audit log entries
Pagination information
Query audit log events
Search audit log events for a bucket. Supports filtering by event type, actor, subject, and time range.
path Parameters
bucketIdBucket id or bucket name.
query Parameters
limitMaximum number of results to return (1-100)
offsetNumber of results to skip for pagination
typeFilter by event type (reverse-DNS, e.g. 'com.zuplo.apikey.create')
actorSubFilter by actor subject identifier
subjectFilter by event subject
startDateFilter events at or after this time (ISO 8601)
endDateFilter events at or before this time (ISO 8601)
Query audit log events › Responses
The request has succeeded.
Pagination for audit log events
Aggregated audit log stats
Returns top-N event counts grouped by event type or actor sub.
path Parameters
bucketIdBucket id or bucket name.
query Parameters
groupByColumn to group by: type | actorSub
limitMaximum number of groups to return (1-100)
startDateFilter events at or after this time (ISO 8601)
endDateFilter events at or before this time (ISO 8601)
Aggregated audit log stats › Responses
The request has succeeded.
groupByColumn that was grouped by